#ifndef SUBSCRIPTIONS_H
#define SUBSCRIPTIONS_H

#include <QObject>
#include <QByteArray>
#include <QList>
#include <QPair>
#include <QString>

#include <feed.h>

typedef QList<Feed> FeedList;
typedef QPair<QString, QString> CategoryPair;
typedef QList<CategoryPair> CategoryList;

class Subscriptions
{
public:
    Subscriptions(QObject *parent = 0);
    void read(const char *xml);
    CategoryList categories();
    FeedList feedsForCategory(QString id);

private:
    void readSubscriptions();
    void readSubscription();
    QObject *m_parent;
    FeedList m_feeds;
};

#endif // SUBSCRIPTIONS_H
