#ifndef FEED_H
#define FEED_H

#include <QObject>
#include <QString>
#include <QList>
#include <QPair>
#include <QString>

class Feed //: public QObject
{
    /*Q_OBJECT
    Q_PROPERTY(QString id READ id WRITE setId)
    Q_PROPERTY(QString title READ title WRITE setTitle)*/

public:
    explicit Feed(QObject *parent = 0);

    void setId(QString id) { m_id = id; }
    void setTitle(QString title)  { m_title = title; }
    void addCategorie(QString id, QString label) { m_categories.append(QPair<QString, QString>(id, label)); }
    QList< QPair<QString, QString> > categories() { return m_categories; }

    QString id() { return m_id; }
    QString title() { return m_title; }

private:
    QString m_id;
    QString m_title;
    QList< QPair<QString, QString> > m_categories;

signals:

public slots:

};

#endif // FEED_H
