#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTreeWidgetItem>

#include "googlereader.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;

    GoogleReader *m_reader;

private slots:
    void updateSubscriptions(Subscriptions *subscriptions);
    void showFeed(QTreeWidgetItem *item);
};

#endif // MAINWINDOW_H
